import { type Config } from '@pnpm/config';
import { type IncludedDependencies } from '@pnpm/types';
export declare const EXCLUDE_PEERS_HELP: {
    description: string;
    name: string;
};
export declare function rcOptionsTypes(): Record<string, unknown>;
export declare const cliOptionsTypes: () => Record<string, unknown>;
export declare const shorthands: Record<string, string>;
export declare const commandNames: string[];
export declare function help(): string;
export type ListCommandOptions = Pick<Config, 'allProjects' | 'dev' | 'dir' | 'optional' | 'production' | 'selectedProjectsGraph' | 'modulesDir' | 'virtualStoreDirMaxLength'> & Partial<Pick<Config, 'cliOptions'>> & {
    alwaysPrintRootPackage?: boolean;
    depth?: number;
    excludePeers?: boolean;
    json?: boolean;
    lockfileDir?: string;
    long?: boolean;
    parseable?: boolean;
    onlyProjects?: boolean;
    recursive?: boolean;
};
export declare function handler(opts: ListCommandOptions, params: string[]): Promise<string>;
export declare function render(prefixes: string[], params: string[], opts: {
    alwaysPrintRootPackage?: boolean;
    depth?: number;
    excludePeers?: boolean;
    include: IncludedDependencies;
    lockfileDir: string;
    long?: boolean;
    json?: boolean;
    onlyProjects?: boolean;
    parseable?: boolean;
    modulesDir?: string;
    virtualStoreDirMaxLength: number;
}): Promise<string>;
